Lompati ke konten utama

Browser ini sudah tidak didukung.

Tingkatkan ke Microsoft Edge untuk memanfaatkan fitur, pembaruan keamanan, dan dukungan teknis terkini.

Unduh Microsoft Edge Informasi selengkapnya tentang Internet Explorer dan Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Get an insight

GET /insights/{id}

Retrieves the specified insight report and its results.

Parameter header

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview

Parameter kueri

includeCoordinates boolean

Whether to include coordinates for visualization in the response. Defaults to false.

api-version string diperlukan

The API version to use for this operation.

Parameter jalur

id string diperlukan

The unique identifier for the insights report.

Respons

The request has succeeded.

Isi

Content-Type: application/json
id string diperlukan

The unique identifier for the insights report.

metadata InsightsMetadata diperlukan

Metadata about the insights.

createdAt string diperlukan

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string diperlukan

Enum describing allowed operation states.

Salah satu dari yang berikut:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string diperlukan

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison diperlukan

The request of the insights report.

Salah satu dari berikut ini:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum diperlukan

The type of insights request.

EvaluationRunClusterInsight
evalId string diperlukan

Evaluation Id for the insights.

runIds string[] diperlukan

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string diperlukan

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum diperlukan

The type of request.

AgentClusterInsight
agentName string diperlukan

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string diperlukan

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum diperlukan

The type of request.

EvaluationComparison
evalId string diperlukan

Identifier for the evaluation.

baselineRunId string diperlukan

The baseline run ID for comparison.

treatmentRunIds string[] diperlukan

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Salah satu dari berikut ini:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum diperlukan

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] diperlukan

Comparison results for each treatment run against the baseline.

method string diperlukan

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum diperlukan

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult diperlukan

Insights from the cluster analysis.

summary InsightSummary diperlukan

Summary of the error cluster analysis.

sampleCount integer diperlukan

Total number of samples analyzed.

uniqueSubclusterCount integer diperlukan

Total number of unique subcluster labels.

uniqueClusterCount integer diperlukan

Total number of unique clusters.

method string diperlukan

Method used for clustering.

usage ClusterTokenUsage diperlukan

Token usage for cluster analysis

inputTokenUsage integer diperlukan

input token usage

outputTokenUsage integer diperlukan

output token usage

totalTokenUsage integer diperlukan

total token usage

clusters InsightCluster[] diperlukan

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer diperlukan

X-axis coordinate.

y integer diperlukan

Y-axis coordinate.

size integer diperlukan

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum diperlukan

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult diperlukan

Insights from the cluster analysis.

summary InsightSummary diperlukan

Summary of the error cluster analysis.

sampleCount integer diperlukan

Total number of samples analyzed.

uniqueSubclusterCount integer diperlukan

Total number of unique subcluster labels.

uniqueClusterCount integer diperlukan

Total number of unique clusters.

method string diperlukan

Method used for clustering.

usage ClusterTokenUsage diperlukan

Token usage for cluster analysis

inputTokenUsage integer diperlukan

input token usage

outputTokenUsage integer diperlukan

output token usage

totalTokenUsage integer diperlukan

total token usage

clusters InsightCluster[] diperlukan

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer diperlukan

X-axis coordinate.

y integer diperlukan

Y-axis coordinate.

size integer diperlukan

Size of the chart element.

Client error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Minta

GET /insights/{id} HTTP/1.1

Tanggapan

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
id-id
Pilihan Privasi Anda
  • Pengelakan AI
  • Versi Sebelumnya
  • Blog
  • Berikan kontribusi
  • Privasi
  • Privasi Kesehatan Konsumen
  • Persyaratan Penggunaan
  • Merek Dagang
  • © Microsoft 2026